List prompts, newest first
curl --request GET \
--url https://api.seomator.com/v1/projects/{id}/prompts \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects/{id}/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects/{id}/prompts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"prompts": [
{
"id": "<string>",
"projectId": "<string>",
"topicId": "<string>",
"text": "<string>",
"intent": "informational",
"branded": true,
"source": "suggested",
"status": "active",
"replacesPromptId": "<string>",
"createdAt": "<string>",
"archivedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}List prompts, newest first
GET
/
v1
/
projects
/
{id}
/
prompts
List prompts, newest first
curl --request GET \
--url https://api.seomator.com/v1/projects/{id}/prompts \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects/{id}/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects/{id}/prompts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"prompts": [
{
"id": "<string>",
"projectId": "<string>",
"topicId": "<string>",
"text": "<string>",
"intent": "informational",
"branded": true,
"source": "suggested",
"status": "active",
"replacesPromptId": "<string>",
"createdAt": "<string>",
"archivedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
Path Parameters
Project id (proj_…) or slug (the domain with dots as dashes).
Query Parameters
Required range:
1 <= x <= 100Available options:
active, archived